<template>
  <lazy-theme-desktop-main-keno
    v-if="['desktop/main', 'desktop/global', 'desktop/playful'].includes(theme)"
  />
  <lazy-theme-mobile-modern-keno v-else-if="theme === 'mobile/modern'" />
  <lazy-theme-desktop-china-keno v-else-if="theme === 'desktop/china'" />
  <lazy-theme-desktop-modern-keno v-else-if="theme === 'desktop/modern'" />
  <lazy-theme-desktop-black-keno v-else-if="theme === 'desktop/black'" />
  <lazy-theme-mobile-black-keno v-else-if="theme === 'mobile/black'" />
  <lazy-theme-mobile-main-keno-2 v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-keno-2 v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-mobile-main-keno-2 v-else-if="theme === 'mobile/global'" />
  <lazy-theme-desktop-sbo-keno v-else-if="theme === 'desktop/sbo'" />
  <lazy-theme-mobile-sbo-keno v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-desktop-cool88-keno v-else-if="theme === 'desktop/cool88'" />
  <lazy-theme-desktop-bk8-keno v-else-if="theme === 'desktop/bk8'" />
  <lazy-theme-desktop-peru-keno v-else-if="theme.includes('/peru')" />
</template>
<script lang="ts" setup>
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
</script>
